Bug 1471120 - Advanced search for systems with installed packages is not working correctly for java packages
Advanced search for systems with installed packages is not working correctly ...
Status: MODIFIED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
570
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jiří Dostál
Red Hat Satellite QA List
:
Depends On:
Blocks: sat58-errata
  Show dependency treegraph
 
Reported: 2017-07-14 09:02 EDT by Kenny Tordeurs
Modified: 2017-11-01 09:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenny Tordeurs 2017-07-14 09:02:31 EDT
Description of problem:
When using the Advanced Search for the string "java" over all systems in the "installed packages" only systems with "java_cup" packages installed are found.

Red Hat Satellite Server 5.6 -> Systems -> Advanced Search -> Search For: java
-> Field to Search: Installed Packages -> Where to Search: Search all systems -> Search

Red Hat Satellite Server 5.7 -> Systems -> Advanced Search -> Search For: java
-> Field to Search: Installed Packages -> Where to Search: Search all systems -> Search

This result is not correct, because there are many more java packages installed on many of the systems.


Version-Release number of selected component (if applicable):
Satellite 5.6 (5.6.0.34-1.el6sat)
Satellite 5.7 (5.7.0.27-1.el6sat)

How reproducible:
100%

Steps to Reproduce:
1. On a client install java packages: # yum install java-1.6.0-openjdk* java-1.7.0-openjdk* java-1.7.0-oracle*
2. On the client run: # rhn-profile-sync
3. On the Satellite server: Systems -> Advanced Search -> Search For: java
-> Field to Search: Installed Packages -> Where to Search: Search all systems -> Search

I'll attach a PDF with screenshots

Actual results:
No systems were found

Expected results:
System to be found

Additional info:
Following java packages are installed on client:
[root@ktordeur-rhel6-client-sat57 ~]# rpm -qa | grep java
java-1.6.0-openjdk-1.6.0.41-1.13.13.1.el6_8.x86_64
java-1.7.0-openjdk-1.7.0.141-2.6.10.1.el6_9.x86_64
tzdata-java-2017b-1.el6.noarch
java-1.7.0-oracle-1.7.0.141-1jpp.1.el6.x86_64
Comment 6 Jiří Dostál 2017-10-11 10:30:56 EDT
I've tried to reproduce the issue without any success. I've followed above steps and end up with found systems, which is correct. Could you please check whether all packages were marked for indexing? for example with following query:

'SELECT last_id AS last_indexed, MAX(id) from rhnPackage, rhnIndexerWork WHERE rhnIndexerWork.object_type = 'package' GROUP BY last_id;'
Comment 7 Kenny Tordeurs 2017-10-11 10:39:23 EDT
Output from SQL:

rhnschema=# SELECT last_id AS last_indexed, MAX(id) from rhnPackage, rhnIndexerWork WHERE rhnIndexerWork.object_type = 'package' GROUP BY last_id;
 last_indexed |  max   
--------------+--------
       101471 | 105953
Comment 9 Kenny Tordeurs 2017-10-11 11:00:26 EDT
Also as FYI all packages installed on client are from Satellite:

# yum repolist -v
Loading "rhnplugin" plugin
Loading "package_upload" plugin
Loading "product-id" plugin
Loading "search-disabled-repos" plugin
Not loading "subscription-manager" plugin, as it is disabled
Config time: 0.081
This system is receiving updates from RHN Classic or Red Hat Satellite.
Looking for repo options for [main]
Looking for repo options for [rhel-x86_64-server-7]
Repo 'rhel-x86_64-server-7' setting option 'enabled' = '1'
Repo 'rhel-x86_64-server-7' setting option 'gpgcheck' = '1'
Repo 'rhel-x86_64-server-7' setting option 'timeout' = '120'
Looking for repo options for [rhel-x86_64-server-7-thirdparty-oracle-java]
Repo 'rhel-x86_64-server-7-thirdparty-oracle-java' setting option 'enabled' = '1'
Repo 'rhel-x86_64-server-7-thirdparty-oracle-java' setting option 'gpgcheck' = '1'
Repo 'rhel-x86_64-server-7-thirdparty-oracle-java' setting option 'timeout' = '120'
Yum version: 3.4.3
Setting up Package Sacks
pkgsack time: 0.006
Repo-id      : rhel-x86_64-server-7
Repo-name    : Red Hat Enterprise Linux Server (v. 7 for 64-bit x86_64)
Repo-updated : Tue Aug 15 16:38:45 2017
Repo-pkgs    : 16,925
Repo-size    : 22 G
Repo-baseurl : https://ktordeur-sat57.usersys.redhat.com/XMLRPC/GET-REQ/rhel-x86_64-server-7
Repo-expire  : 21,600 second(s) (last: Wed Oct 11 18:06:38 2017)
  Filter     : read-only:present

Repo-id      : rhel-x86_64-server-7-thirdparty-oracle-java
Repo-name    : Oracle Java for RHEL Server (v. 7 64-bit x86_64)
Repo-updated : Tue Aug 15 15:41:12 2017
Repo-pkgs    : 306
Repo-size    : 6.4 G
Repo-baseurl : https://ktordeur-sat57.usersys.redhat.com/XMLRPC/GET-REQ/rhel-x86_64-server-7-thirdparty-oracle-java
Repo-expire  : 21,600 second(s) (last: Wed Oct 11 18:07:01 2017)
  Filter     : read-only:present

repolist: 17,231
Comment 10 Jiří Dostál 2017-11-01 09:43:08 EDT
spacewalk bf0fcff8fbe4bb1bfb795f1cdd111d3dd1572821

Note You need to log in before you can comment on or make changes to this bug.